Package com.documentum.fc.client

# Class DfDefaultTrustManager

java.lang.Object
com.documentum.fc.client.DfDefaultTrustManager

All Implemented Interfaces:
  `IDfTrustManager`

public class DfDefaultTrustManager extends Object implements IDfTrustManager
A default implementation of `IDfTrustManager` that manages trust credentials in the form of properties that can be configured in a file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfDefaultTrustManager()`
  Constructs a new instance from configuration information found in the default resource (trust.properties).
  `DfDefaultTrustManager(String resourceName)`
  Constructs a new instance from configuration information found in a specific named resource.
  `DfDefaultTrustManager(Properties trustProperties)`
  Constructs a new instance from configuration information in the form of a property bag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfLoginInfo`
  `getTrustCredential(String docbaseName)`
  Gets the credential necessary to establish trust with a specific Docbase.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DfDefaultTrustManager

    public DfDefaultTrustManager() throws IOException
    Constructs a new instance from configuration information found in the default resource (trust.properties).
    Throws:
      `IOException`

  - ### DfDefaultTrustManager

    public DfDefaultTrustManager(String resourceName) throws IOException
    Constructs a new instance from configuration information found in a specific named resource.
    Throws:
      `IOException`

  - ### DfDefaultTrustManager

    public DfDefaultTrustManager(Properties trustProperties)
    Constructs a new instance from configuration information in the form of a property bag.

- ## Method Details

  - ### getTrustCredential

    public IDfLoginInfo getTrustCredential(String docbaseName)
    Gets the credential necessary to establish trust with a specific Docbase.
    Specified by:
      `getTrustCredential` in interface `IDfTrustManager`
    Returns:
      the credential for establishing trust. null is returned if no such credential exists.